Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592529 - SELinux is preventing /usr/sbin/crond "sigchld" access .
SELinux is preventing /usr/sbin/crond "sigchld" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:f696d8e2b57...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 02:15 EDT by TR Bentley
Modified: 2010-05-28 14:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-21.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 14:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description TR Bentley 2010-05-15 02:15:30 EDT
Summary:

SELinux is preventing /usr/sbin/crond "sigchld" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by crond. It is not expected that this access is
required by crond and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:shutdown_t:s0-s0:c0.c102
                              3
Target Context                system_u:system_r:crond_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        crond
Source Path                   /usr/sbin/crond
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           cronie-1.4.4-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-13.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.33.3-85.fc13.x86_64 #1 SMP Thu May 6 18:09:49
                              UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 08 May 2010 10:15:01 PM BST
Last Seen                     Sun 09 May 2010 10:15:01 PM BST
Local ID                      1cfda662-ca5e-4b9b-974f-f2bca2e44a82
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273439701.782:406): avc:  denied  { sigchld } for  pid=30256 comm="crond" scontext=unconfined_u:unconfined_r:shutdown_t:s0-s0:c0.c1023 tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1273439701.782:406): arch=c000003e syscall=61 success=yes exit=30258 a0=ffffffffffffffff a1=7fff73f49d3c a2=0 a3=0 items=0 ppid=1549 pid=30256 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=40 comm="crond" exe="/usr/sbin/crond" subj=system_u:system_r:crond_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,crond,shutdown_t,crond_t,process,sigchld
audit2allow suggests:

#============= shutdown_t ==============
allow shutdown_t crond_t:process sigchld;
Comment 1 Daniel Walsh 2010-05-17 10:24:04 EDT
Any idea of why a cron processes is executing shutdown?
Comment 2 TR Bentley 2010-05-17 11:52:13 EDT
I leave my box running during the day but do not want it running all night.
I have a root cron task running at 10.15 to shut the machine down.

Been doing this for years!
Comment 3 Daniel Walsh 2010-05-17 12:42:04 EDT
Ok I will add this access.

Fixed in selinux-policy-3.7.19-18.fc13.noarch
Comment 4 Fedora Update System 2010-05-25 10:36:37 EDT
selinux-policy-3.7.19-21.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13
Comment 5 Fedora Update System 2010-05-26 17:45:43 EDT
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-21.fc13
Comment 6 Fedora Update System 2010-05-28 14:01:17 EDT
selinux-policy-3.7.19-21.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.